# HG changeset patch
# Node ID ca80f0f4e2ae
# Parent  1e72a1a4f455
diff --git a/libpurple/plugins/psychic/psychic.c b/libpurple/plugins/psychic/psychic.c
--- a/libpurple/plugins/psychic/psychic.c
+++ b/libpurple/plugins/psychic/psychic.c
@@ -27,8 +27,7 @@
 #define PLUGIN_CATEGORY N_("Utility")
 #define PLUGIN_SUMMARY  N_("Psychic mode for incoming conversation")
 #define PLUGIN_DESC     N_("Causes conversation windows to appear as other" \
-			   " users begin to message you.  This works for" \
-			   " AIM, ICQ, XMPP, and Sametime")
+			   " users begin to message you.  This works for XMPP")
 #define PLUGIN_AUTHORS  { "Christopher O'Brien <siege@preoccupied.net>", NULL }
 
 
diff --git a/libpurple/protocols/meson.build b/libpurple/protocols/meson.build
--- a/libpurple/protocols/meson.build
+++ b/libpurple/protocols/meson.build
@@ -5,4 +5,3 @@
 subdir('irc')
 subdir('ircv3')
 subdir('jabber')
-subdir('sametime')
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -308,13 +308,6 @@
 gstreamer_app = dependency('gstreamer-app-1.0')
 
 #######################################################################
-# Check for Meanwhile headers (for Sametime)
-#######################################################################
-meanwhile = dependency('meanwhile', version : ['>= 1.0.0', '< 2.0.0'], required : get_option('meanwhile'))
-gmime = dependency('gmime-3.0', version : '>= 3.0.0', required : get_option('meanwhile'))
-enable_meanwhile = meanwhile.found() and gmime.found()
-
-#######################################################################
 # Check for Native Avahi headers (for Bonjour)
 #######################################################################
 
@@ -353,8 +346,7 @@
 endif
 
 
-DEFAULT_PRPLS = ['bonjour', 'demo', 'facebook', 'gg', 'irc', 'ircv3', 'jabber',
-                 'sametime']
+DEFAULT_PRPLS = ['bonjour', 'demo', 'facebook', 'gg', 'irc', 'ircv3', 'jabber']
 
 dynamic_list = get_option('dynamic-prpls').split(',')
 if dynamic_list == ['all']
@@ -364,8 +356,6 @@
 foreach prpl : dynamic_list
 	if prpl == ''
 		# The list was empty; do nothing.
-	elif prpl == 'sametime' and not enable_meanwhile
-		# Do nothing.
 	elif prpl == 'bonjour' and not enable_avahi
 		# Do nothing.
 	elif prpl == 'gg' and not libgadu.found()
@@ -382,7 +372,6 @@
 DYNAMIC_IRC = DYNAMIC_PRPLS.contains('irc')
 DYNAMIC_IRCV3 = DYNAMIC_PRPLS.contains('ircv3')
 DYNAMIC_JABBER = DYNAMIC_PRPLS.contains('jabber')
-DYNAMIC_SAMETIME = DYNAMIC_PRPLS.contains('sametime')
 
 conf.set('HAVE_SYS_UTSNAME_H',
     compiler.has_header('sys/utsname.h'))
diff --git a/pidgin/plugins/disco/xmppdisco.c b/pidgin/plugins/disco/xmppdisco.c
--- a/pidgin/plugins/disco/xmppdisco.c
+++ b/pidgin/plugins/disco/xmppdisco.c
@@ -259,7 +259,6 @@
 	const char *to;
 } disco_type_mappings[] = {
 	{ "gadu-gadu", "gadu-gadu" }, /* the protocol is gg, but list_icon returns "gadu-gadu" */
-	{ "sametime",  "meanwhile" },
 	{ "xmpp",      "jabber" }, /* jabber (mentioned in case the protocol is renamed so this line will match) */
 	{ NULL,        NULL }
 };
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -160,9 +160,6 @@
 libpurple/protocols/jabber/usertune.c
 libpurple/protocols/jabber/xdata.c
 libpurple/protocols/jabber/xmpp.c
-libpurple/protocols/sametime/im_mime.c
-libpurple/protocols/sametime/sametime.c
-libpurple/protocols/sametime/tests/test_sametime_im_mime.c
 libpurple/proxy.c
 libpurple/purpleaccountmanager.c
 libpurple/purpleaccountoption.c
